<div class="container">
  <div class="row">
    <div class="col-12">
      <nav class="navbar navbar-expand-sm navbar-dark container">
        <a class="navbar-brand" href="#">
          <img
            src="https://d5mjn1irzs0nd.cloudfront.net/web/Webp+Assets/logo-black.png"
            alt="Logo"
            style="width: 180px"
          />
          <img
            src="https://fonts.gstatic.com/s/i/productlogos/gmail_2020q4/v10/web-64dp/logo_gmail_2020q4_color_1x_web_64dp.png"
            alt="GLogo"
            style="width: 40px"
          />
        </a>

        <ul class="navbar-nav ml-auto ai-c p-10">
          <li class="nav-item end">
            <button
              class="btn btn-sm btn-primary"
              (click)="openModal(FilterModal)"
            >
              Send Thread!
            </button>
          </li>
        </ul>
      </nav>
    </div>
  </div>
</div>

<ng-template #FilterModal let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title">Find From</h4>
    <button
      type="button"
      class="close"
      aria-label="Close"
      (click)="d('Cross click')"
    >
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    This will search for the mail threads from provided mailId and reply with
    the asked parameters to the recent thread from the provided sender.
    <form [formGroup]="form">
      <div class="row m-tb-15">
        <div class="col-6">
          <mat-form-field class="full-width">
            <mat-label>Email</mat-label>
            <input matInput placeholder="Email" formControlName="email" />
          </mat-form-field>
        </div>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <button
      type="button"
      class="btn btn-raised btn-success"
      [disabled]="form.invalid"
      (click)="c('Close click'); getThread()"
    >
      Send mail
    </button>

    <button
      type="button"
      class="btn btn-secondary btn-raised"
      (click)="c('Close click')"
    >
      Close
    </button>
  </div>
</ng-template>
